# saral/lib/saral.rb
require "saral/version"
require "saral/routing"
require "saral/controller"
require "saral/util"
require "saral/dependencies"

module Saral
  # Our code goes here...
  class Application
   def call(env)
     begin
       return [302,{"Location" => "http://saral-street-view.herokuapp.com/homes/index"},[]] if env["PATH_INFO"] == "/"
       klass, act = get_controller_and_action(env)
       controller = klass.new(env)
       text = controller.send(act)
       [200, {'Content-Type' => 'text/html'}, [text]]
     rescue LoadError
       [400, {'Content-Type' => 'text/html'}, ["Sorry! The request had bad syntax or was inherently impossible to be satisfied."]]
     rescue NameError
       [400, {'Content-Type' => 'text/html'}, ["Sorry! The request had bad syntax or was inherently impossible to be satisfied."]]
     rescue TypeError
       [400, {'Content-Type' => 'text/html'}, ["Sorry! The request had bad syntax or was inherently impossible to be satisfied."]]
     end
   end
  end
end

